org.codehaus.groovy.runtime.metaclass

## Class ConcurrentReaderHashMap.ValueIterator

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator
  - - org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.ValueIterator

- All Implemented Interfaces:
    java.util.Enumeration, java.util.Iterator
  Enclosing class:
    ConcurrentReaderHashMap

      protected class ConcurrentReaderHashMap.ValueIterator
      extends ConcurrentReaderHashMap.HashIterator

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

      `currentKey, currentValue, entry, index, lastReturned, tab`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConcurrentReaderHashMap.ValueIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `returnValueOfNext()`

    - ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

      `hasMoreElements, hasNext, next, nextElement, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentReaderHashMap.ValueIterator

          protected ConcurrentReaderHashMap.ValueIterator()

  - ### Method Detail

    - #### returnValueOfNext

          protected java.lang.Object returnValueOfNext()

      Overrides:
        `returnValueOfNext` in class `ConcurrentReaderHashMap.HashIterator`